i think i know where the problem is.. it only works in SketchUp 8. i just tried it
really sorry about that.
i was using 7 before that
Posts
-
RE: Group.volume
-
RE: Group.volume
Didier's way is working with no proplems.
and this is the error message when i try to use group.volume
group.volume
Error: #<NoMethodError: (eval):41: undefined method `volume' for #Sketchup::Group:0x4d28ba0>
(eval):41 -
RE: Group.volume
that is certainly a better way thank you.
but still group.volume still not working.
did you use it before? what would be the way to use it?
thanks -
RE: Group.volume
Hi Didier, Great code thank u very much it did the job for me but its always worth to learn another way so Dan here's what i was trying to do with group.volume
pt = [] pt[0] = [0,0,0];pt[1] = [100,0,0];pt[2] = [100,100,0];pt[3] = [0,100,0] face = Sketchup.active_model.entities.add_face pt face.pushpull -100
then i had to find out how many entities i had in the model and which of them is faces so i can add them to the group using selection.clear and selection.add
and then i add all the faces to a group and i made a few copies of it.
and i tried to use the function but it never worked.
could you demonstrate a good practice of the function?
thanks you -
Group.volume
Guys did anyone try using group.volume function?? i've been trying to use it but it doesn't seem to work. any body came across the same thing before??
-
RE: How to select without using the mouse
You know when you select something and it highlights in blue or with dots, can i do that from the ruby console.
What it is i have managed to make a list of faces and identify them with names and display them on a dropdown menu in a webdialog. Now what i want is when the user chooses a face i want it to be highlighted in the model with dots just as if he would click on it.
Do i make any sense? -
How to select without using the mouse
Guys, I have a model with 3 faces (face1, face2, face3)
how do i select any of them from the ruby console -
RE: Progressbar 2.0
are CloseOpens 2.0 and the Progressbar 2.0 out yet??
-
Does Sketchup has a threading mechanism
I’m trying to do lots of calculation that takes long time. So far it’s working fine with a progress bar although as soon as i click on another window sketchup gets frozen until the calculation is finished and i have no idea whether it will continue or i should restart the program...
Any ideas? -
RE: How to make a toolbar with a dropdown menu
where do i find the file "Win32API"
It says "Error Loading File win32.rb
No such file to load -- Win32API" -
RE: How to make a toolbar with a dropdown menu
Great help you guys, really thanks.
one more thing tho, how do i get rid of the sketchup logo on the top left corner of the webdialog and also the minimize and maximize buttons?? -
RE: How to make a toolbar with a dropdown menu
Unfortunately not.
I will try some google searches -
RE: How to make a toolbar with a dropdown menu
Amazing work.. i like the toolbar"was that a webdialog?" Any examples or walkthroughs how to make a similar one?
-
RE: How make a window like the components window
thanks for the help guys, so far i managed to create a new class called buildings what I’m trying to do is while I’m working on a model of 40 buildings i can then highlight any shape i like and right click on it and set it as a building. Therefore i would have a window like the "Entity info" window which can be displayed from the window menu that would have a drop down menu with a list of the buildings i made so far.
Does that make any sense? i know it's a bit ambitious but i guess it would help a lot of people -
How to make a toolbar with a dropdown menu
How to make a toolbar with a dropdown menu that has a list “faces_list=[]” that I created of certain faces
-
RE: All faces with their backs facing the camera.
i now my idea sounds insane but it could be a good way for those who model building as boxes with no details inside them.
But really thank you for all the great help -
RE: All faces with their backs facing the camera.
Okay here's what i'm trying to do.
I’m trying to solve the front back faces problem with one plugin
Some of the buildings faces are fliped facing the inside of the building.
i'm trying to make a plugin to flip all the faces that are facing the inside of the building.
Looking at what others did "Tomaz" he made this tool that basically Hoover over faces and make sure their front side is facing the camera. Applying the same thing on all the faces in the model while the camera is in the right side for example would get all the faces to look at the camera.
but if we can get a list of only what the faces the camera can see then we can make sure their front face facing the camera and then use the TIG code of “orient_faces” to flip all the rest of the faces connected to each one in the list.
Does it make any sense? -
RE: All faces with their backs facing the camera.
Didn't work.
I think i asked for the wrong thing.
If we can have a list of all the faces that the camera can see. not the ones that their normals towards the camera. -
RE: All faces with their backs facing the camera.
Great, i'm testing it now.
i think i found a good solution to the faces front and back problem.
if we can get all faces facing the camera we can then use Tomasz http://www.google.com/support/forum/p/sketchup/thread?tid=22305a97ab418668&hl=en code to make sure they are facing the camera and then we can use TIG's http://forums.sketchucation.com/viewtopic.php?p=15273#p15273code to orient all the faces Contagious by each face.What do you think TIG?